org.apache.hc.client5.http.impl.cache

## Class CachingH2AsyncClientBuilder

- java.lang.Object
- - org.apache.hc.client5.http.impl.async.H2AsyncClientBuilder
  - - org.apache.hc.client5.http.impl.cache.CachingH2AsyncClientBuilder

-     public class CachingH2AsyncClientBuilder
      extends H2AsyncClientBuilder

  Builder for HTTP/2 `CloseableHttpAsyncClient` instances capable of client-side caching.
  Since:
    5.0

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CachingH2AsyncClientBuilder()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CachingH2AsyncClientBuilder` | `create()`
    `protected void` | `customizeExecChain(org.apache.hc.core5.http.config.NamedElementChain<AsyncExecChainHandler> execChainDefinition)` Request exec chain customization and extension.
    `CachingH2AsyncClientBuilder` | `setCacheConfig(CacheConfig cacheConfig)`
    `CachingH2AsyncClientBuilder` | `setCacheDir(File cacheDir)`
    `CachingH2AsyncClientBuilder` | `setDeleteCache(boolean deleteCache)`
    `CachingH2AsyncClientBuilder` | `setHttpCacheInvalidator(HttpAsyncCacheInvalidator cacheInvalidator)` Deprecated. Do not use.
    `CachingH2AsyncClientBuilder` | `setHttpCacheStorage(HttpAsyncCacheStorage storage)`
    `CachingH2AsyncClientBuilder` | `setHttpCacheStorage(HttpCacheStorage storage)`
    `CachingH2AsyncClientBuilder` | `setResourceFactory(ResourceFactory resourceFactory)`
    `CachingH2AsyncClientBuilder` | `setSchedulingStrategy(SchedulingStrategy schedulingStrategy)`

    - ### Methods inherited from class org.apache.hc.client5.http.impl.async.H2AsyncClientBuilder

      `addCloseable, addExecInterceptorAfter, addExecInterceptorBefore, addExecInterceptorFirst, addExecInterceptorLast, addRequestInterceptorFirst, addRequestInterceptorLast, addResponseInterceptorFirst, addResponseInterceptorLast, build, disableAuthCaching, disableAutomaticRetries, disableCookieManagement, disableRedirectHandling, evictIdleConnections, replaceExecInterceptor, setCharCodingConfig, setConnectionConfigResolver, setDefaultAuthSchemeRegistry, setDefaultConnectionConfig, setDefaultCookieSpecRegistry, setDefaultCookieStore, setDefaultCredentialsProvider, setDefaultHeaders, setDefaultRequestConfig, setDnsResolver, setH2Config, setIOReactorConfig, setIoReactorExceptionCallback, setIoSessionDecorator, setIOSessionListener, setProxyAuthenticationStrategy, setRedirectStrategy, setRetryStrategy, setRoutePlanner, setSchemePortResolver, setTargetAuthenticationStrategy, setThreadFactory, setTlsStrategy, setUserAgent, useSystemProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CachingH2AsyncClientBuilder

          protected CachingH2AsyncClientBuilder()

  - ### Method Detail

    - #### create

          public static CachingH2AsyncClientBuilder create()

    - #### setResourceFactory

          public final CachingH2AsyncClientBuilder setResourceFactory(ResourceFactory resourceFactory)

    - #### setHttpCacheStorage

          public final CachingH2AsyncClientBuilder setHttpCacheStorage(HttpCacheStorage storage)

    - #### setHttpCacheStorage

          public final CachingH2AsyncClientBuilder setHttpCacheStorage(HttpAsyncCacheStorage storage)

    - #### setCacheDir

          public final CachingH2AsyncClientBuilder setCacheDir(File cacheDir)

    - #### setSchedulingStrategy

          public final CachingH2AsyncClientBuilder setSchedulingStrategy(SchedulingStrategy schedulingStrategy)

    - #### setCacheConfig

          public final CachingH2AsyncClientBuilder setCacheConfig(CacheConfig cacheConfig)

    - #### setHttpCacheInvalidator

          @Deprecated
          public final CachingH2AsyncClientBuilder setHttpCacheInvalidator(HttpAsyncCacheInvalidator cacheInvalidator)

      Deprecated. Do not use.

    - #### setDeleteCache

          public CachingH2AsyncClientBuilder setDeleteCache(boolean deleteCache)

    - #### customizeExecChain

          protected void customizeExecChain(org.apache.hc.core5.http.config.NamedElementChain<AsyncExecChainHandler> execChainDefinition)

      Description copied from class: `H2AsyncClientBuilder`
      Request exec chain customization and extension.

      For internal use.

      Overrides:
        `customizeExecChain` in class `H2AsyncClientBuilder`

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.